Bug 54372 - kernel-2.4.9-0.18 - unresolved module symbols
kernel-2.4.9-0.18 - unresolved module symbols
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-10-04 19:35 EDT by Michal Jaegermann
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-07 14:29:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-10-04 19:35:02 EDT
Description of Problem:

While booting this kernel version the following shows up:

depmod: *** Unresolved symbols in

Also I had in local startup files 'modprobe mga' which used to be ok
but now is causing errors.  Running 'modprobe -v mga' results in this:
/lib/modules/2.4.9-0.18/kernel/drivers/char/drm/mga.o: init_module: Cannot
allocate memory
/lib/modules/2.4.9-0.18/kernel/drivers/char/drm/mga.o: insmod
/lib/modules/2.4.9-0.18/kernel/drivers/char/drm/mga.o failed
/lib/modules/2.4.9-0.18/kernel/drivers/char/drm/mga.o: insmod mga failed
Hint: insmod errors can be caused by incorrect module parameters, including
invalid IO or IRQ parameters
[drm:drm_init] *ERROR* Cannot initialize the agpgart module.

Here I possibly have to switch the whole X server because the current
one (XFree86-4.0.3-15) with 2.4.9-0.18 kernel totally breaks any
Comment 1 Arjan van de Ven 2001-10-05 03:48:15 EDT
Did you upgrade your modutils as well ? You need that for the abi modules for
Comment 2 Michal Jaegermann 2001-10-05 12:29:41 EDT
> Did you upgrade your modutils as well?

$ rpm -q modutils

This is a version packed together with the said kernel and 'rpm -V modutils'
is silent.  They have to work in general or I would not boot at all -
a root file system is on SCSI disk for the machine in question. :-)
'mga' module is actually succesfully loaded by X server when that one is
started with the following in logs:

Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 94M
agpgart: Detected Via Apollo Pro KX133 chipset
agpgart: AGP aperture is 64M @ 0xd0000000
[drm] AGP 0.99 on VIA Apollo KX133 @ 0xd0000000 64MB
[drm] Initialized mga 3.0.2 20010321 on minor 0

It only refuses by itself and acceleration is broken (as expected -
wrong DRM version - but slowdown is unexpectedly severe).

For 'abi-svr4' module depmod is unhappy about 'socket_file_ops' symbol.
Not a big deal for me as I am not using thig module.  :-) This is "athlon"
kernel - BTW.

Regardless of these details this is the first "prepackaged" kernel
from 2.4 series which seems to fit for a "general use" - at least on
my "regular" machine.  Definitely a keeper.
Comment 3 Michal Jaegermann 2001-10-05 12:40:32 EDT
> Definitely a keeper.

Oh, 'tulip' drivers are still utterly broken on my card.  Luckily 'de4x5'
happens to work (cf. #46291).
Comment 4 Bill Nottingham 2001-10-08 11:09:06 EDT
I do believe you need to load agpgart before mga, and the dependency isn't explicit.
Comment 5 Michal Jaegermann 2001-10-08 12:27:52 EDT
This is really a minor side issue noted here so it will be not forgotten.
Errors seems to be from a failed agpgart initialization.
This used to work in the past but I can always add in /etc/modules.conf
'pre-install mga modprobe agpgart' if you are right.

OTOH X server does not seem to have now problems loading these modules,
which was not always the case previously and what was the real reason
why 'modprobe mga' showed up in my startup actions in the first place.

I still have to put a newer version of X on this box for both sides to
agree on DRI. :-)  Once general update notices will be released then
each will have to _stress_ that an update has to be completed with the
other one if one cares about an acceleration in graphics.

Note You need to log in before you can comment on or make changes to this bug.